Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of the API call:
{ "id": "d2313aed-330e-44a0-bcfa-380ee4a95a62", "globalRating": 4, "contextRatings": [ { "id": "16a5e036-02d7-4c01-a5f7-c99ffca90cde", "averageRating": 2 } ] }
The following table contains the parameters in the response body:
Parameter
Description
id
The system generated unique identifier of the data collection.
globalRating
The average rating of the data collection for all the usage contexts. This parameter can have a value between
0
and
5
.
contextRatings > id
The system generated unique identifier of the usage context for which a Data User has rated the data collection.
contextRatings > averageRating
The average rating of the data collection for a usage context. This parameter can have a value between
0
and
5
.

0 COMMENTS

We’d like to hear from you!